package fxOhjeet;

import javafx.application.Application;
import javafx.stage.Stage;
import javafx.scene.Scene;
import javafx.scene.layout.Pane;
import javafx.fxml.FXMLLoader;


/**
 * @author Omistaja
 * @version 6.2.2025
 *
 */
public class OhjeetMain extends Application {
    @Override
    public void start(Stage primaryStage) {
        try {
            FXMLLoader ldr = new FXMLLoader(getClass().getResource("OhjeetGUIView.fxml"));
            final Pane root = ldr.load();
            //final OhjeetGUIController ohjeetCtrl = (OhjeetGUIController) ldr.getController();
            Scene scene = new Scene(root);
            scene.getStylesheets().add(getClass().getResource("ohjeet.css").toExternalForm());
            primaryStage.setScene(scene);
            primaryStage.setTitle("Ohjeet");
            primaryStage.show();
        } catch(Exception e) {
            e.printStackTrace();
        }
    }

    /**
     * @param args Ei kaytossa
     */
    public static void main(String[] args) {
        launch(args);
    }
}